cmake_minimum_required(VERSION 3.0.2)
project(shortener_bot LANGUAGES C CXX)

add_executable(bot main.cpp)

add_library(libuv STATIC IMPORTED)
set_target_properties(libuv PROPERTIES IMPORTED_LOCATION ${CMAKE_SOURCE_DIR}/libuv-v1.49.0/.libs/libuv.a)

add_subdirectory(td)

target_include_directories(bot PRIVATE ${CMAKE_SOURCE_DIR}/libuv-v1.49.0/include)
target_link_libraries(bot PRIVATE libuv Td::TdStatic)
